# 46. التغيير: إنشاء "ZonesMap" متعدد الطبقات بشكل غير متزامن

إنشاء "خريطة\_المناطق" استنادًا إلى طبقات متعددة لـ "الحقل" بشكل غير متزامن.

{% hint style="info" %}
تولد المقاربة غير المتزامنة مهمة (Generate "generateVectorAnalysisMap") للمعالجة وسيتم استلام الاشتراك بمجرد انتهاء المعالجة.
{% endhint %}

سمة `طبقات_البيانات` تحتوي على المعلومات اللازمة لكل طبقة بيانات لاستخدامها في النتيجة "خريطة\_المناطق". السمة `عامل` يمثل **وزن** لطبقة البيانات.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
تحوير GenerateMultiLayerZonesMapAsync {
  generateMultiLayersVectorAnalysisMapAsync(input: {
    fieldUuid: "<placeholder_of_field_uuid>"
    عدد_المناطق:7
    الاسم: "متعدد_السنوات f1.0 + ميل_الليدار f-0.5 + مادة_عضوية f0.5 + إنتاجية_الحجم f0.2"
    طبقات_البيانات: [{
      عامل: 1.0
      satelliteImageUuids: [
        "<placeholder_of_satelliteimage_uuid_1>",
	"<placeholder_of_satelliteimage_uuid_2>",
        "<عنصر_نائب_لمعرف_صورة_فضائية_3>",
        "<عنصر_نائب_لمعرف_صورة_فضائية_4>",
        "<عنصر_نائب_لمعرف_صورة_فضائية_5>",
        "<عنصر_نائب_لمعرف_صورة_فضائية_6>",
        "<عنصر_نائب_لمعرف_صورة_فضائية_7>",
        "<عنصر_نائب_لمعرف_صورة_فضائية_8>",
        "<عنصر_نائب_لمعرف_صورة_فضائية_9>",
        "<عنصر_نائب_لمعرف_صورة_فضائية_10>"
      ]
    	المؤشر: EVI2
    }, {
      عامل: -0.5
      topographyMapUuid: "<placeholder_of_topographymap_uuid>"
    	سمة_التضاريس: الانحدار
    }, {
      عامل: 0.5
      soilDatasetUuid: "<placeholder_of_soildataset_uuid>"
      سمة_التربة: "Soil_OM___"
    }, {
      عامل: 0.2
      yieldDatasetUuid: "<placeholder_of_yielddataset_uuid>"
      سمة_الإنتاج: vol_d
    }]
  }) {    
    uuid 
    معرف_الحقل
    رمز_الحالة  
  }
}

```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ar/mstndat-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/46.-altghyyr-inshaa-zonesmap-mtadd-altbqat-bshkl-ghyr-mtzamn.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
